/* Reset styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    background-color: #d5d5d5;
    font-family: 'Hind Madurai', sans-serif;
}

.cv {
    width: 80%;
    border: 3px solid #ecebeb;
    box-shadow: 0 0 3px 3px gray;
    margin: 2rem auto;
    background-image: url(src/img/backround.jpg);
}

.content {
    padding: 5% 10%;
    background-color: #fafae4cc;
}

header {
    display: flex;
    justify-content: end;
    background-color: #66a094;
    height: 8rem;
}

section {
    margin-top: 5%;
}

.section-width {
    width: 40%;
}

.links-list {
    display: flex;
    height: 100%;
    align-items: center;
    list-style-type: none;
}

.links-list li {
    margin: 0 1.5rem;
}

.header-link {
    text-decoration: none;
    font-size: 2rem;
    color: #fafae4;
    transition-duration: 0.3s;
}

.header-link:hover {
    color: #d5d5c3;
}

#main-part {
    display: flex;
    justify-content: space-between;
}

.wrapper-photo {
    border: 3px solid #ecebeb;
    border-radius: 5%;
    margin: 0 10%;
}

img {
    display: block;
    border-radius: 5%;
    width: 100%;
    height: 100%;
}

.main-part__right {
    display: flex;
    flex-direction: column;
    justify-content: start;
}

h1 {
    font-size: 4.8rem;
    padding: 2rem 0;
}

.contacts-box {
    line-height: 3.2rem;
}

.title-h2 {
    font-size: 3.2rem;
    padding-bottom: 1rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid #000000;
}

.title-h3 {
    font-size: 2.4rem;
}

.contact {
    display: flex;
    align-items: center;
}

.contact-link {
    margin-left: 2rem;
    font-size: 1.6rem;
    text-decoration: none;
    color: black;
    font-weight: 500;
}

.contact-link:hover,
.footer__link:hover {
    transition-duration: 0.2s;
    scale: 1.1;
}

.cv-text {
    font-size: 1.6rem;
    font-weight: 500;
}

.wrapper {
    display: flex;
    justify-content: space-between;
}

.skils-list {
    list-style-position: inside;
    font-size: 2.4rem;
    line-height: 4.8rem;
    font-weight: 500;
}

li > ul {
    padding-left:20px;
    font-size: 1.6rem;
    line-height: 3.2rem;
}

.skils-list a {
    text-decoration: none;
}

code {
    font-size: 1.6rem;
}

.other-list {
    font-size: 1.8rem;
    line-height: 3.2rem;
}

.state-name {
    font-size: 1.8rem;
}

.project-link {
    color: #000000;
}

.project-link:hover {
    color: #a9a9a9;
}

footer {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #66a094;
    height: 8rem;
}

.footer__link {
    font-size: 1.6rem;
    color: #000000 ;
}

.year-prodaction {
    font-size: 1.4rem;
}

.burger-btn {
    display: none;
    cursor: pointer;
    z-index: 10;
}

.burger-btn__line {
    width: 3rem;
    height: 0.3rem;
    margin: 0.5rem 0;
    background-color: #fafae4;
}

.burger-btn.active .burger-btn__line:nth-child(1) {
    transform: translateY(4px) rotate(45deg);
}

.burger-btn.active .burger-btn__line:nth-child(2) {
    opacity: 0;
}

.burger-btn.active .burger-btn__line:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

.links-list.show {
    transform: translateY(0px);
}



@media (max-width: 1100px) {
    .wrapper-photo {
        margin: 0;
    }

    .header__section-width {
        width: 45%;
    }
}

@media (max-width: 768px) {
    html {
      font-size: 50%;
    }
}

@media (max-width: 650px) {
    html {
      font-size: 40%;
    }
}

@media (max-width: 490px) {
    html {
      font-size: 55%;
    }

    .cv {
        width: 100%;
        margin: 0 auto;
    }

    header {
        display: block;
        justify-content: start;
        background-color: #66a094;
        position: fixed;
        width: 100%;
    }

    .header-link {
        line-height: 4rem;
    }

    .links-list {
        flex-direction: column;
        align-items: start;
        padding: 20px 0;
        transform: translateY(-240px);
        transition: transform 0.3s ease;
        background-color: #66a094;
    }

    .burger-btn {
        display: block;
        position: absolute;
        right: 20px;
        top: 20px;
    }
     .content {
        padding: 5% 5%;
    }

    .wrapper-photo {
        height: auto;
        margin: auto;
        margin-top: 80px;
        max-width: 70%;
    }

    #main-part,
    .wrapper {
        display: block;
    }

    .header__section-width,
    .section-width {
        width: 100%;
    } 
}


